+ Responder ao Tópico



  1. #1

    Padrão Nao consigo instalar programas pelos fontes

    Olá, boa noite a todos, primeiramente quero dizer que procurei na net no google e aqui mesmo no forum e nao encontrei nada que pudesse me ajudar por isso estou postando aqui para ver se alguem me ajuda.

    bem o caso é o seguinet eu uso o Conectiva.

    Desde que comecei a usar o mesmo eu nunca consegui instalar um programa através da opçao

    ./configure
    Make && Make Install


    ow coisa assim, gostaria de saber por que isso acontece se eu estou deixando alguma coisa para tras ou se nao estou sabendo fazer sei la o fato é que estou perdendo um tempao com isso e eu nao poderia estar desta forma.

    uma ultima tentativa minha foi o seguinte tentar instalar o fluxbox, que novamente foi frustrado. Ultimamente ou melhor so consiguo instalar .rpm, mais isso nao pode ficar assim

    de uma olhada no erro:

    [[email protected] fluxbox-0.9.14]# ./configure
    checking for a BSD-compatible install... /usr/bin/install -c
    checking whether build environment is sane... yes
    /home/admin/fluxbox-0.9.14/missing: Unknown `--run' option
    Try `/home/admin/fluxbox-0.9.14/missing --help' for more information
    configure: WARNING: `missing' script is too old or missing
    checking for gawk... gawk
    checking whether make sets $(MAKE)... yes
    checking for gcc... gcc
    checking for C compiler default output file name... configure: error: C compiler cannot create executables
    See `config.log' for more details.
    [[email protected] fluxbox-0.9.14]#


    eu ja isntalei o gcc o Make mas mesmo assim nada, gostaria da ajuda de vc's pois preciso resolver isso, eu nao estou conseguindo trabalhar, ja imaginarao nao conseguir instalar programas por que nao acha um .rpm dele isso num tem logica.

    desde ja agradeço, e desculpem o texto imenso é que estou mei irritado com isso.

    té ++

  2. #2
    cag
    Visitante

    Padrão Nao consigo instalar programas pelos fontes

    Tente instalar o pacote g++



  3. #3
    perdiga
    Visitante

    Padrão Nao consigo instalar programas pelos fontes

    tambem amigo instale o pacote task-c-devel

    apt-get install task-c-devel

  4. #4
    winter_man
    Visitante

    Padrão Nao consigo instalar programas pelos fontes

    Eu também utilizo o Conectiva e a instalação dos aplicativos pelo fonte realmente é muito dificil, os colegas postaram solicitando que fosse instalados alguns pacotes, porém aí vai minha questão:

    Independente da distro, quais são os pacotes que (normalmente) são necessários que estejam instalados para não haver dificuldade em instalar aplicativos pelo fonte?

    Abraços



  5. #5

    Padrão Make

    Obrigado vou tentar, mais tarde falo com vc's.

    desde ja agradeço a colaboração de todos.

  6. #6

    Padrão Erro

    Olá, fiz o que me foi sujerido e já funcionou alguma coisa a mais, mas mesmo assim nao estou conseguindo fazer a instalaçao. Da o seguinte erro:

    vou colar so o final dele, quem sabe alguem pode me ajudar.

    checking for iconv_open in -liconv... no
    checking for libiconv_open in -liconv... no
    checking for iconv declaration... no
    checking for t_open in -lnsl... no
    checking for socket in -lsocket... no
    checking for X... no
    configure: error: Fluxbox requires the X Window System libraries and headers.


    um erro parecido com esse da quado tento instalar o BlackBox.



  7. #7

    Padrão Re: Erro

    Citação Postado originalmente por GodZilla_XF
    checking for iconv_open in -liconv... no
    checking for libiconv_open in -liconv... no
    checking for iconv declaration... no
    checking for t_open in -lnsl... no
    checking for socket in -lsocket... no
    checking for X... no
    configure: error: Fluxbox requires the X Window System libraries and headers.


    um erro parecido com esse da quado tento instalar o BlackBox.
    O erro ja fala tudo, é só prestar atenção.

    Você precisa das libs e dos headers do X.

    Nunca usei conectiva e nao sei se ele usa xfree ou xorg, ve ai qual ele usa e instala os pacotes que estão faltando.

  8. #8
    kenh rythfield
    Visitante

    Padrão Nao consigo instalar programas pelos fontes

    OLá GodZilla_XF !! seguinte ... já usei o conectiva e é um sistema muito bom!! porem ele tem uma ferramenta q ajuda instalar programas q é o synaptic acho q vc já conhece!! faça o seguinte , atualize o repositorio dele , e vc encontrará a opção para instalar o Blackbox e/ou fluxbox , assim vc não terá todo esse trabalho! eu me lembro q quando usava o conectiva sempre atualizava e uma vez cheguei a ver a opção apara instalar.. mais nunca me interessei por essa interface , bom .. tente atualizar e instalar por lá, pois será mais facil e assim vc não tera muita dor de cabeça, pois as bibliotecas q faltar ele já instala, caso esteja com duvida ne programa synaptic, da uma pesquisada no google sobre ele , e atulize com repositorio da unicamp, caso não consiga poste a duvida aqui , pois estamos dispostos a ajudar, ok??
    um abraço
    até++



  9. #9

    Padrão Re: Erro

    Citação Postado originalmente por Skorpyon
    Citação Postado originalmente por GodZilla_XF
    checking for iconv_open in -liconv... no
    checking for libiconv_open in -liconv... no
    checking for iconv declaration... no
    checking for t_open in -lnsl... no
    checking for socket in -lsocket... no
    checking for X... no
    configure: error: Fluxbox requires the X Window System libraries and headers.


    um erro parecido com esse da quado tento instalar o BlackBox.
    O erro ja fala tudo, é só prestar atenção.

    Você precisa das libs e dos headers do X.

    Nunca usei conectiva e nao sei se ele usa xfree ou xorg, ve ai qual ele usa e instala os pacotes que estão faltando.
    Olá amigo, primeiramente muito obrigado pela sua atenção, bem eu ja uso o Kde e o BlackBox 0.65 nesta maquina só queria colocar o BlackBox mais atualizado e instalar o FluxBox para fazer uns testes, por isso que eu acho estranho ele num estar querendo instalar, quanto a vc ter falado que falta alguma coisa das Libs e Headers vc poderia me dar mais alguns detalhes, por que quando vc isntala o MetaPacote task-x-windows ele ja instala todas as dependencias de que o sistema precisa para rodar o X.

    desde ja agradeço.

  10. #10

    Padrão Nao consigo instalar programas pelos fontes

    Citação Postado originalmente por kenh rythfield
    OLá GodZilla_XF !! seguinte ... já usei o conectiva e é um sistema muito bom!! porem ele tem uma ferramenta q ajuda instalar programas q é o synaptic acho q vc já conhece!! faça o seguinte , atualize o repositorio dele , e vc encontrará a opção para instalar o Blackbox e/ou fluxbox , assim vc não terá todo esse trabalho! eu me lembro q quando usava o conectiva sempre atualizava e uma vez cheguei a ver a opção apara instalar.. mais nunca me interessei por essa interface , bom .. tente atualizar e instalar por lá, pois será mais facil e assim vc não tera muita dor de cabeça, pois as bibliotecas q faltar ele já instala, caso esteja com duvida ne programa synaptic, da uma pesquisada no google sobre ele , e atulize com repositorio da unicamp, caso não consiga poste a duvida aqui , pois estamos dispostos a ajudar, ok??
    um abraço
    até++
    Olá amigo, muito obrigado a vc tbm pela atenção, quanto ao programa synaptic ja uso ele a algum tempo e vou fazer as ações que vc me falou para ver se encontro uma resolução para isso.

    Estou pensando seriamente em migrar para SlackWare mas estou com medo de me deparar com muitas diferenças entre as duas distros Conectiva e Slack por ex: para atualizar um Kernel no Conectiva ao que me parece é so usar o synaptic que ele vai la e baixa todas as atualizações de softwares e inclusive os Kerneis atualizados e instala automaticamente, pelo menos é assim que eu acho, ou seja quando eu mando o synaptic atualizar o sistema se tiver um novo Kernel ele ja instala ele e coloca lá no grub uma opção para ja inicializar pelo novo.

    Se eu estiver errado me corrija, Gostaria da opiniao de vc's e algumas dicas para Slack

    té ++



  11. #11
    felco
    Visitante

    Padrão Nao consigo instalar programas pelos fontes

    Eu acho que voce deveria usar o synaptics, mas se vc quiser realmente compilar o flux vc deve setar esses parametros no ./configure:
    --x-includes=DIR
    --x-libraries=DIR

    assim:
    # ./configure --x-includes=DIR --x-libraries=DIR

  12. #12

    Padrão Nao consigo instalar programas pelos fontes

    Citação Postado originalmente por felco
    Eu acho que voce deveria usar o synaptics, mas se vc quiser realmente compilar o flux vc deve setar esses parametros no ./configure:
    --x-includes=DIR
    --x-libraries=DIR

    assim:
    # ./configure --x-includes=DIR --x-libraries=DIR
    Olá amigo, desculpe minha falta de conhecimento, mas este ./configure --x-includes=DIR --x-libraries=DIR que vc mencionou é o caminho em que eu vou instalar o programa ou é o diretório onde estão as libraries e outros ou DIR é um parametro que o sistema ira entender como um diretório onde ele deve ir buscar alguma coisa????

    e o mais curioso é que eu onten a noite tentei instalar o iDesk + aDesklets seguindo o exemplo que esta nesta pagina:

    http://www.vivaolinux.com.br/artigos...=4095&pagina=1

    e ele me dava o mesmo erro.

    Obs: ja estou com o BlackBox 0.65 instalado e funcionando.

    desde já agradeço a ajuda de todos.

    té ++



  13. #13
    felco
    Visitante

    Padrão Nao consigo instalar programas pelos fontes

    Isso, esses parametros e aonde ele deve buscar as libraries e includes do X, agora eu naum sei aonde fica isso no Conectiva...

  14. #14

    Padrão Nao consigo instalar programas pelos fontes

    Cara o fato de você ter instalado o BlackBox e já ter ele rodando, não quer dizer que se você tentar compilar uma outra versão dele (até pode ser a mesma) vai funcionar.

    Quando você vai compilar algum programa, não só no linux, geralmente ele utiliza algumas bibliotecas de outros "softwares", digamos assim, e no momento da compilação ele junta essas bibliotecas com as suas e gera o programa executável.

    Então no seu caso você precisa instalar as bibliotecas e headers do X. Pode ser que isso já esteja instalado no seu sistema, mas na hora de compilar o compilador não está encontrando o caminho das bibliotecas então é necessário indicar para ele da forma como o nosso amigo felco falou:

    # ./configure --x-includes=DIR --x-libraries=DIR

    onde DIR é o caminho para o diretorio onde estão as bibliotecas e outros.

    Experimente executar o comando

    # ./configure --help

    que você vai encontrar mais algumas opções...


    E por favor me corrijam se falei alguma coisa errada aí....



  15. #15

    Padrão Vou testar

    Blz pessoal vou testar e depois falo com vc's Ok.

    té ++

  16. #16

    Padrão Olá

    Olá, bem desculpe a todos a demora para responder o topico, mas é que meu monitor queimou bem nesses dias, ai tenho que mandar para a garantia, e vou ver se arrumo um emprestado para usar por enquanto.

    Quando conseguir alguma coisa posto aqui.

    té ++++



  17. #17

    Padrão Não sei onde esta as Libraries do X.

    Olá, sera que alguem poderia me fazer a gentileza de indicar onde ficam as libraries e includes do Servidor X???

    desde já agradeço...